<?php 
    session_start();
    require('../../config.php');


    $id_nota    = $_SESSION['cveNota'];
    // Obtener datos
    $datos = json_decode(file_get_contents("php://input"), true);
    $personas   = $datos['personas'];
    $comensal1   = $datos['comensal'];
    $mesa       = $datos['mesa'];
    $hora_ini   = $datos['hora_ini'];
    $hora_fin   = $datos['hora_fin'];
    $subtotal   = $datos['subtotal'];
    $descuento  = $datos['descuento'];
    $total      = $datos['total'];
    $bandera1    = $datos['bandera'];
    $zona;
    $products = $datos["products"];
    $i= 0;
    try {
        //hace la conexión real con la BD
        $cnn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
        mysqli_set_charset($cnn, "utf8mb4");

        mysqli_select_db($cnn, DB_NAME);
        
        if ($mesa == 0) {
            $zona = 'Para llevar';
        }else{
            $zona = 'Venta en piso';
        }

        try {
            if ($bandera1 == 2) {
                $query = "UPDATE notas_venta SET ntv_hora_edt=CURRENT_TIME(), ntv_zona_ate='$zona', ntv_roll_clave='ME', 
                        ntv_subtotal='$subtotal', ntv_total_nota='$total', ntv_no_mesa= '$mesa', ntv_total_descuento='$descuento', 
                        ntv_no_personas='$personas', updated_at=CURRENT_TIME() WHERE id='$id_nota';";
                $i = 1;
            }else{
                $query = "UPDATE notas_venta SET ntv_hora_edt=CURRENT_TIME(), ntv_zona_ate='$zona', ntv_roll_clave='ME', 
                ntv_subtotal='$subtotal', ntv_total_nota='$total', ntv_no_mesa= '$mesa', ntv_total_descuento='$descuento', 
                ntv_no_personas='$personas', ntv_estatus='pendiente', updated_at=CURRENT_TIME() WHERE id='$id_nota';";
                
                $i = 1;
            }

            $res = mysqli_query($cnn, $query);

            foreach ($products as $product) {
                $prd_name       = $product['prd_name'];
                $coment         = $product['coment'];
                $comensal       = $product['comensal'];
                $tiempo         = $product['tiempo'];
                $price          = $product['price'];
                $new            = $product['new'];
                $id_prd         = $product['id_prd'];
                $cant           = $product['cant'];
                $bandera        = $product['bandera'];
                $comensal_ant   = $product['comensal_ant'];
                $cantidad_ant   = $product['cantidad_ant'];
                $tiempo_ant     = $product['tiempo_ant'];
                $comentario_ant = $product['comentario_ant'];

                if ( $new == 1) {
                    if ($bandera==2) {
                        $query= "INSERT INTO productos_nota (id_nota_venta, id_producto, pdn_cantidad, pdn_tiempo, 
                        pdn_precio, pdn_estatus, pdn_comentario, pdn_guardado, vista_cocinero) 
                        VALUES ($id_nota, $id_prd, '$cant','$tiempo', '$price','activo','$coment',1,1)";
                         
                    }else{
                        $query= "INSERT INTO productos_nota (id_nota_venta, id_producto, pdn_cantidad, pdn_tiempo, 
                        pdn_precio, pdn_estatus, pdn_comentario, pdn_guardado) 
                        VALUES ($id_nota, $id_prd, '$cant','$tiempo', '$price','activo','$coment',1)";
                    }
                    $i = 1;

                }else{
                    
                    if ($cantidad_ant != $cant || $tiempo_ant != $tiempo || $comentario_ant != $coment) {
                        $query="UPDATE productos_nota SET pdn_cantidad = '$cant', pdn_tiempo = '$tiempo', pdn_comentario ='$coment', vista_cocinero = 2, pdn_guardado = pdn_guardado+1, updated_at=CURRENT_TIME() where id = $id_prd;";
                    }
                    $i = 1;
                    
                }
                
                $res = mysqli_query($cnn, $query);
            }
            
            $query2 = "UPDATE productos_nota SET pdn_comensal = '$comensal1' where id_nota_venta = $id_nota;";
            $res2 = mysqli_query($cnn, $query2);

            echo $i;
        } catch (Exception $e) {
            echo $e;
        }
            

        #$cnn->close();

        return $res;

    } catch (mysqli_sql_exception $e) {
        error_log("MySQL Error: " . $e->getMessage());
        return false;
    } 
    // echo $personas;
    /* */
?>